Skip to main content

Orders

The Orders API allows you to view and manage your orders. You can retrieve a list of all your orders with filtering and pagination, or get detailed information about a specific order.

List Orders

Get a paginated list of all your orders with optional filtering and sorting.

Endpoint

GET /v1/orders

Query Parameters

ParameterTypeRequiredDescription
pagination[page]integerNoPage number (default: 1)
pagination[per_page]integerNoItems per page
filters[status]stringNoFilter by order status: CANCELED, WAITING_DELIVERY, DELIVERED, RECEIVED, COMPLETED
filters[date_from]stringNoFilter orders from this date (ISO 8601 format)
filters[date_to]stringNoFilter orders until this date (ISO 8601 format)
sort[field]stringNoSort field. Values: paid_at
sort[direction]stringNoSort direction. Values: asc, desc

Request Example

curl -X GET "https://sellerapi.ggchest.com/v1/orders?pagination[page]=1&pagination[per_page]=20&filters[status]=WAITING_DELIVERY&sort[field]=paid_at&sort[direction]=desc" \
-H "X-API-KEY: your-api-key-here"

Response Example

{
"items": [
{
"id": "ff0e8400-e29b-41d4-a716-446655440060",
"name": "World of Warcraft Level 60 Account",
"icon": {
"id": "dd0e8400-e29b-41d4-a716-446655440031",
"path": "https://cdn.ggchest.com/offers/icon.png"
},
"buyer": {
"name": "John Doe"
},
"dispute": null,
"paid_at": "2024-01-15T10:30:00Z",
"quantity": 1,
"price": "99.99",
"status": "WAITING_DELIVERY",
"offer_type": "accounts"
},
{
"id": "ff0e8400-e29b-41d4-a716-446655440061",
"name": "100,000 Gold",
"icon": {
"id": "990e8400-e29b-41d4-a716-446655440011",
"path": "https://cdn.ggchest.com/icons/gold.png"
},
"buyer": {
"name": "Jane Smith"
},
"dispute": {
"id": "gg0e8400-e29b-41d4-a716-446655440070",
"reason": "Item not received",
"status": "OPEN",
"beneficiary": "BUYER",
"resolution": null,
"created_at": "2024-01-16T14:20:00Z",
"updated_at": "2024-01-16T14:20:00Z"
},
"paid_at": "2024-01-14T08:15:00Z",
"quantity": 2,
"price": "29.99",
"status": "DELIVERED",
"offer_type": "currency"
}
],
"pagination": {
"total_count": 45,
"page_count": 3,
"page": 1,
"per_page": 20
}
}

Response Fields

FieldTypeDescription
itemsarrayArray of order objects
items[].idstringOrder identifier (UUID)
items[].namestringOffer name/title
items[].iconobject|nullOffer icon
items[].icon.idstringIcon identifier
items[].icon.pathstringURL to icon image
items[].buyerobjectBuyer information
items[].buyer.namestringBuyer name
items[].disputeobject|nullDispute information (if exists)
items[].dispute.idstringDispute identifier
items[].dispute.reasonstringReason for the dispute
items[].dispute.statusstringDispute status
items[].dispute.beneficiarystringWho benefits from the dispute: BUYER or SELLER
items[].dispute.resolutionstring|nullResolution description
items[].dispute.created_atstringDispute creation date (ISO 8601)
items[].dispute.updated_atstringDispute last update date (ISO 8601)
items[].paid_atstringPayment date and time (ISO 8601)
items[].quantityintegerQuantity purchased
items[].pricestringPrice per unit
items[].statusstringOrder status (see Order Statuses)
items[].offer_typestringType of offer: accounts, items, currency
paginationobjectPagination information
pagination.total_countintegerTotal number of orders
pagination.page_countintegerTotal number of pages
pagination.pageintegerCurrent page number
pagination.per_pageintegerItems per page

Get Single Order

Retrieve detailed information about a specific order, including full offer details, game information, and account credentials (for auto-delivery account offers).

Endpoint

GET /v1/orders/{id}

Path Parameters

ParameterTypeRequiredDescription
idstringYesOrder ID (UUID)

Request Example

curl -X GET "https://sellerapi.ggchest.com/v1/orders/ff0e8400-e29b-41d4-a716-446655440060" \
-H "X-API-KEY: your-api-key-here"

Response Example

{
"id": "ff0e8400-e29b-41d4-a716-446655440060",
"status": "WAITING_DELIVERY",
"buyer_id": "aa0e8400-e29b-41d4-a716-446655440080",
"buyer_name": "John Doe",
"seller_id": "bb0e8400-e29b-41d4-a716-446655440090",
"price": "99.99",
"quantity": 1,
"order_worth": "99.99",
"currency": "USD",
"market_commission_percent": "10.00",
"market_commission_amount": "9.99",
"order_worth_after_commission": "89.99",
"updated_at": "2024-01-15T10:30:00Z",
"will_be_completed_at": "2024-01-22T10:30:00Z",
"cancel_reason": null,
"canceled_at": null,
"offer": {
"id": "cc0e8400-e29b-41d4-a716-446655440030",
"title": "World of Warcraft Level 60 Account",
"description": "Premium account with rare mounts and achievements",
"offer_type": "accounts",
"delivery_time": "5m",
"delivery_method": "auto",
"icon": {
"id": "dd0e8400-e29b-41d4-a716-446655440031",
"path": "https://cdn.ggchest.com/offers/icon.png"
},
"attributes": [
{
"id": "aa0e8400-e29b-41d4-a716-446655440020",
"option_id": "bb0e8400-e29b-41d4-a716-446655440021",
"option_name": "US-East",
"attribute_name": "Server"
}
]
},
"game": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "World of Warcraft",
"icon": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"path": "https://cdn.ggchest.com/icons/wow.png"
},
"resources": {
"icon": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"path": "https://cdn.ggchest.com/icons/wow.png"
},
"cover": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"path": "https://cdn.ggchest.com/covers/wow.jpg"
}
}
},
"dispute": null,
"accounts": [
{
"id": "ee0e8400-e29b-41d4-a716-446655440040",
"login": "player123",
"password": "SecurePassword123!",
"email_login": "[email protected]",
"email_password": "EmailPass123",
"description": "Account with rare mount collection"
}
]
}

Response Fields

FieldTypeDescription
idstringOrder identifier (UUID)
statusstringOrder status (see Order Statuses)
buyer_idstringBuyer identifier (UUID)
buyer_namestringBuyer name
seller_idstringSeller identifier (UUID)
pricestringPrice per unit
quantityintegerQuantity purchased
order_worthstringTotal order value
currencystringCurrency code (e.g., "USD")
market_commission_percentstringMarket commission percentage
market_commission_amountstringMarket commission amount
order_worth_after_commissionstringOrder value after commission deduction
updated_atstringLast update date and time (ISO 8601)
will_be_completed_atstring|nullExpected completion date (ISO 8601)
cancel_reasonstring|nullCancellation reason (if canceled)
canceled_atstring|nullCancellation date and time (ISO 8601)
offerobjectOffer details
offer.idstringOffer identifier (UUID)
offer.titlestringOffer title
offer.descriptionstringOffer description
offer.offer_typestringOffer type: accounts, items, currency
offer.delivery_timestringDelivery time (see Create Offers for allowed values)
offer.delivery_methodstringDelivery method: manual, auto
offer.iconobject|nullOffer icon
offer.attributesarrayOffer attributes
offer.attributes[].idstringAttribute identifier
offer.attributes[].option_idstringSelected option identifier
offer.attributes[].option_namestringSelected option name
offer.attributes[].attribute_namestringAttribute name
gameobjectGame information
game.idstringGame identifier (UUID)
game.namestringGame name
game.iconobject|nullGame icon
game.resourcesobjectGame resources
game.resources.iconobject|nullGame icon resource
game.resources.coverobject|nullGame cover image resource
disputeobject|nullDispute information (if exists)
dispute.idstringDispute identifier
dispute.reasonstringReason for the dispute
dispute.statusstringDispute status
dispute.beneficiarystring|nullWho benefits from the dispute: BUYER or SELLER
dispute.resolutionstring|nullResolution description
dispute.created_atstringDispute creation date (ISO 8601)
dispute.updated_atstringDispute last update date (ISO 8601)
accountsarray|nullAccount credentials (only for auto-delivery account offers)
accounts[].idstringAccount identifier
accounts[].loginstring|nullAccount login/username
accounts[].passwordstring|nullAccount password
accounts[].email_loginstring|nullEmail login (if email access is included)
accounts[].email_passwordstring|nullEmail password (if email access is included)
accounts[].descriptionstring|nullAccount description

Order Statuses

Orders can have the following statuses:

StatusDescription
CANCELEDThe order has been canceled
WAITING_DELIVERYOrder is paid and waiting for delivery
DELIVEREDOrder has been delivered to the buyer
RECEIVEDBuyer has received and confirmed the order
COMPLETEDOrder is fully completed (final status)

Status Flow

WAITING_DELIVERY → DELIVERED → RECEIVED → COMPLETED

CANCELED

Disputes

A dispute can be opened by either the buyer or seller if there's an issue with the order. Disputes contain the following information:

  • Reason: Description of why the dispute was opened
  • Status: Current status of the dispute (e.g., OPEN, RESOLVED)
  • Beneficiary: Who benefits from the dispute resolution (BUYER or SELLER)
  • Resolution: Description of how the dispute was resolved (if resolved)
  • Timestamps: created_at and updated_at track when the dispute was created and last updated

When a dispute exists, the dispute field in the order response will contain the dispute object. Otherwise, it will be null.

Filtering Orders

By Status

Filter orders by their current status:

# Get only waiting delivery orders
curl -X GET "https://sellerapi.ggchest.com/v1/orders?filters[status]=WAITING_DELIVERY" \
-H "X-API-KEY: your-api-key-here"

By Date Range

Filter orders within a specific date range using ISO 8601 format:

# Get orders from January 2024
curl -X GET "https://sellerapi.ggchest.com/v1/orders?filters[date_from]=2024-01-01T00:00:00Z&filters[date_to]=2024-01-31T23:59:59Z" \
-H "X-API-KEY: your-api-key-here"

Sorting Orders

Orders can be sorted by the paid_at field in ascending or descending order:

# Get orders sorted by payment date (newest first)
curl -X GET "https://sellerapi.ggchest.com/v1/orders?sort[field]=paid_at&sort[direction]=desc" \
-H "X-API-KEY: your-api-key-here"

Error Responses

404 Not Found

Returned when the order ID is invalid or the order doesn't exist.

{
"message": "Order not found"
}

Account Credentials for Auto-Delivery

For account offers with delivery_method: "auto", the order response includes the accounts array with account credentials. This allows your system to automatically deliver accounts to buyers when orders are placed.

Important: Account credentials are only included in the order response for auto-delivery account offers. Manual delivery offers do not include account credentials in the API response.

Next Steps